Function
moveSource
Moves the source to a new value.
moveSource(object, source_in [, begin_pos, end_pos])
Include Headers
seqan/align.h
Parameters

object | An object. Types: Gaps
source_in | An object that is moved to the source of object.
begin_pos | Position of the first item in the source that is used in object. (optional)
end_pos | Position behind the last item in the source that is used in object. (optional)

Remarks
Note: source_in is not the new source of object, but source_in is moved into source(object). "Moved" means that source_in is assigned to source(object) with the possibility that source_in looses its content. That means that the current source of object is modified by this function. If you want object to drop its current source and take another object as source, use setSource instead. If you want source_in not to become empty, use assignSource instead.
If no begin_pos and end_pos are specified, the whole source will be used.
This function does not change whether object is dependent or not.
The source of object must not be empty for executing this function.
See Also
assignSource, move, emptySource, source, dependentSource, setSource
SeqAn - Sequence Analysis Library - www.seqan.de

Page built @2012/03/14 16:34:48